package com.goldenwater.slaj.sins.service.impl;

import com.goldenwater.common.utils.uuid.IdUtils;
import com.goldenwater.slaj.common.utils.EntityUtils;
import com.goldenwater.slaj.sins.domain.AttEngRes;
import com.goldenwater.slaj.sins.mapper.AttEngResMapper;
import com.goldenwater.slaj.sins.service.IAttEngResService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service
public class AttEngResServiceImpl implements IAttEngResService {

    @Autowired
    private AttEngResMapper attEngResMapper;

    @Override
    public AttEngRes selectAttEngResByGuid(String guid) {
        return attEngResMapper.selectAttEngResByGuid(guid);
    }

    @Override
    public List<AttEngRes> selectAttEngResList(AttEngRes attEngRes) {
        return attEngResMapper.selectAttEngResList(attEngRes);
    }

    @Override
    public int insertAttEngRes(AttEngRes attEngRes) {
        String guid = IdUtils.fastSimpleUUID();
        attEngRes.setGuid(guid);
        attEngRes.setEngGuid(guid);
        attEngRes.setCollTime(new Date());
        EntityUtils.emptyStringToNull(attEngRes);
        return attEngResMapper.insertAttEngRes(attEngRes);
    }

    @Override
    public int updateAttEngRes(AttEngRes attEngRes) {
        return attEngResMapper.updateAttEngRes(attEngRes);
    }

    @Override
    public int deleteAttEngResByGuid(String guid) {
        return attEngResMapper.deleteAttEngResByGuid(guid);
    }

    @Override
    public int deleteAttEngResByGuids(String[] guids) {
        return attEngResMapper.deleteAttEngResByGuids(guids);
    }
}
